[youtubei.js](../../../../README.md) / [Types](../README.md) / ICacheConstructor

# Interface: ICacheConstructor

Defined in: [src/types/Cache.ts:8](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/types/Cache.ts#L8)

## Constructors

### Constructor

> **new ICacheConstructor**(`persistent`, `persistent_directory?`): [`ICache`](ICache.md)

Defined in: [src/types/Cache.ts:9](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/types/Cache.ts#L9)

#### Parameters

##### persistent

`boolean`

##### persistent\_directory?

`string`

#### Returns

[`ICache`](ICache.md)
